/* ccgo: goscore.cc
 *
 * GoScore class definition
 * 
 * Copyright 2002 Chun-Chung Chen <cjj@u.washington.edu>
 *
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */
#include "goscore.hh"
#include <sstream>
using namespace std;

GoScore::GoScore()
{
	pack_start(w_score);
	w_score.show();
	pack_start(b_score);
	b_score.show();
	w_score.set_usize(w_score.get_style()->get_font().string_width
			  ("W:999.9"), -1);
	b_score.set_usize(b_score.get_style()->get_font().string_width
			  ("B:999.9"), -1);
	komi = 0.5;
	reset();
}

GoScore::~GoScore()
{
}

void GoScore::set_komi(float k)
{
	komi = k;
	reset();
}

void GoScore::capture(GoGame::Turns t, int c)
{
	ostringstream s;
	switch (t) {
	case GoGame::W_TURN:
		wcap += c;
		s << "W:" << wcap + komi;
		w_score.set_text(s.str());
		break;
	case GoGame::B_TURN:
		bcap += c;
		s << "B:" << bcap;
		b_score.set_text(s.str());
		break;
	}
}

void GoScore::reset()
{
	wcap = 0;
	bcap = 0;
	ostringstream s;
	s << "W:" << komi;
	w_score.set_text(s.str());
	b_score.set_text("B:0");
}
