/* ccgo: gotalk.hh
 * 
 * Copyright 2002 Chun-Chung Chen <cjj@u.washington.edu>
 *
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */
#include <gtk--.h>

class GoTalk :
	public Gtk::VBox
{
public:
	enum TextType {
		TT_NORMAL,
		TT_MOVES,
		TT_MESSAGE
	};
	GoTalk();
	~GoTalk();
	SigC::Signal1<void, const std::string &> line_enter;
	void add_text(const std::string &, TextType = TT_NORMAL);
	void set_enable(bool);
private:
	Gtk::Text text;
	Gtk::Entry line;
	void do_line_enter();
	Gtk::Text_Helpers::Context ctx_moves;
	Gtk::Text_Helpers::Context ctx_message;
};
